Ginkgo: gko::multigrid::MultigridLevel Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::multigrid::MultigridLevel Class Referenceabstract

This class represents two levels in a multigrid hierarchy. More...

`#include <ginkgo/core/multigrid/multigrid_level.hpp>`

Inheritance diagram for gko::multigrid::MultigridLevel:
[legend]

## Public Member Functions
virtual std::shared_ptr< const LinOp > | get_fine_op () const =0
| Returns the operator on fine level.
virtual std::shared_ptr< const LinOp > | get_restrict_op () const =0
| Returns the restrict operator.
virtual std::shared_ptr< const LinOp > | get_coarse_op () const =0
| Returns the operator on coarse level.
virtual std::shared_ptr< const LinOp > | get_prolong_op () const =0
| Returns the prolong operator.

## Detailed Description

This class represents two levels in a multigrid hierarchy.

The MultigridLevel is an interface that allows to get the individual components of multigrid level. Each implementation of a multigrid level should inherit from this interface. Use EnableMultigridLevel<ValueType> to implement this interface with composition by default.

## Member Function Documentation

## ◆ get_coarse_op()

virtual std::shared_ptr< const LinOp > gko::multigrid::MultigridLevel::get_coarse_op | ( |  | ) | const
| pure virtual

Returns the operator on coarse level.

Returns
  the operator on coarse level.

Implemented in gko::multigrid::EnableMultigridLevel< ValueType >, and gko::multigrid::EnableMultigridLevel< default_precision >.

## ◆ get_fine_op()

virtual std::shared_ptr< const LinOp > gko::multigrid::MultigridLevel::get_fine_op | ( |  | ) | const
| pure virtual

Returns the operator on fine level.

Returns
  the operator on fine level.

Implemented in gko::multigrid::EnableMultigridLevel< ValueType >, and gko::multigrid::EnableMultigridLevel< default_precision >.

## ◆ get_prolong_op()

virtual std::shared_ptr< const LinOp > gko::multigrid::MultigridLevel::get_prolong_op | ( |  | ) | const
| pure virtual

Returns the prolong operator.

Returns
  the prolong operator.

Implemented in gko::multigrid::EnableMultigridLevel< ValueType >, and gko::multigrid::EnableMultigridLevel< default_precision >.

## ◆ get_restrict_op()

virtual std::shared_ptr< const LinOp > gko::multigrid::MultigridLevel::get_restrict_op | ( |  | ) | const
| pure virtual

Returns the restrict operator.

Returns
  the restrict operator.

Implemented in gko::multigrid::EnableMultigridLevel< ValueType >, and gko::multigrid::EnableMultigridLevel< default_precision >.

The documentation for this class was generated from the following file:

- ginkgo/core/multigrid/multigrid_level.hpp